PanamaCipher< B > Struct Template Reference

Panama Stream Cipher More...

`#include <panama.h>`

Inheritance diagram for PanamaCipher< B >:

## Public Types

typedef SymmetricCipherFinal< ConcretePolicyHolder< PanamaCipherPolicy< B >, AdditiveCipherTemplate<> >, PanamaCipherInfo< B > > | Encryption
typedef Encryption | Decryption

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
static size_t | StaticGetValidKeyLength (size_t)

## Static Public Attributes

static const int | KEYLENGTH
static const int | MIN_KEYLENGTH
static const int | MAX_KEYLENGTH
static const int | DEFAULT_KEYLENGTH
static const int | IV_REQUIREMENT
static const int | IV_LENGTH

## Detailed Description

### template<class B = LittleEndian>
struct PanamaCipher< B >

Panama Stream Cipher

Definition at line 136 of file panama.h.

The documentation for this struct was generated from the following file:

- panama.h